Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.internal.client.connector.http
Class HttpClientConnectionHelper

    java.lang.Object
      org.apache.cactus.internal.client.connector.http.HttpClientConnectionHelper

All Implemented Interfaces:
  ConnectionHelper

public class HttpClientConnectionHelper
extends java.lang.Object
implements ConnectionHelper

Implementation of `ConnectionHelper` using Jakarta Commons HttpClient.

Version:
  $Id: HttpClientConnectionHelper.java 238991 2004-05-22 11:34:50Z vmassol $

Constructor Summary
`HttpClientConnectionHelper(java.lang.String theURL)`

Method Summary
`java.net.HttpURLConnection` | `connect(WebRequest theRequest, Configuration theConfiguration)` Connects to the Cactus Redirector using HTTP.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpClientConnectionHelper

    public HttpClientConnectionHelper(java.lang.String theURL)

Parameters:
  `theURL` - the URL that will be used for the HTTP connection.

Method Detail

### connect

    public java.net.HttpURLConnection connect(WebRequest theRequest,
                                              Configuration theConfiguration)
                                       throws java.lang.Throwable

  Description copied from interface: `ConnectionHelper`
  Connects to the Cactus Redirector using HTTP.

  Specified by:
    `connect` in interface `ConnectionHelper`
  Parameters:
    `theRequest` - the request containing all data to pass to the server redirector.
    `theConfiguration` - the Cactus configuration
  Returns:
    the HTTP Connection used to connect to the redirector.
  Throws:
    `java.lang.Throwable` - if an unexpected error occured
  See Also:
    `ConnectionHelper.connect(WebRequest, Configuration)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.